Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkApplicationConfiguration<TApplication, TAuthorization, TToken, TKey>

Defines a relational mapping for the Application entity.

##### Inheritance

System.Object
OpenIddictEntityFrameworkApplicationConfiguration<TApplication, TAuthorization, TToken, TKey>

###### Namespace: OpenIddict.EntityFramework

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkApplicationConfiguration<TApplication, TAuthorization, TToken, TKey> : EntityTypeConfiguration<TApplication> where TApplication : OpenIddictEntityFrameworkApplication<TKey, TAuthorization, TToken> where TAuthorization : OpenIddictEntityFrameworkAuthorization<TKey, TApplication, TToken> where TToken : OpenIddictEntityFrameworkToken<TKey, TApplication, TAuthorization> where TKey : IEquatable<TKey>

##### Type Parameters

Name | Description
--- | ---
TApplication | The type of the Application entity.
TAuthorization | The type of the Authorization entity.
TToken | The type of the Token entity.
TKey | The type of the Key entity.

### Constructors

#### OpenIddictEntityFrameworkApplicationConfiguration()

##### Declaration

    public OpenIddictEntityFrameworkApplicationConfiguration()